import request from '/@/utils/request';

export function riskApi() {
    return {
        // v1
        getRiskList: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/risk/manage/page/list`,
                method: 'post',
                data: data
            });
        },

        addRisk: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/risk/manage/add`,
                method: 'post',
                data: data
            });
        },

        modRisk: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/risk/manage/mod`,
                method: 'post',
                data: data
            });
        },

        delRisk: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/risk/manage/del`,
                method: 'get',
                params: data
            });
        }
    };
}
